/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户名称联想
 * @author LJ-2204
 * @date 2022/4/20
 */

@ApiModel("UserByNameParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserByNameParam implements Serializable {

    private static final long serialVersionUID = -8021455509303095719L;

    @ApiModelProperty(value = "真实姓名", example = "刘浪")
    String name;
}
