/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.service.dept.impl;

import com.yiring.auth.domain.dept.Department;
import com.yiring.auth.domain.dept.DepartmentRepository;
import com.yiring.auth.param.dept.DepartmentAddParam;
import com.yiring.auth.service.dept.DepartmentService;
import com.yiring.auth.service.zy.ZyHttpService;
import com.yiring.common.core.Result;
import javax.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 部门管理
 * @author LJ-2204
 * @date 2022/4/19
 */

@Transactional(rollbackFor = RuntimeException.class)
@Service
@Slf4j
public class DepartmentServiceImpl implements DepartmentService {

    @Resource
    DepartmentRepository departmentRepository;

    @Resource
    ZyHttpService zyHttpService;

    @Override
    public Result<String> addDepartment(DepartmentAddParam param) {
        Department department = param.transform();
        departmentRepository.save(department);
        return Result.ok();
    }
}
