/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.vo.user;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户联想模型
 * @author LJ-2204
 * @date 2022/4/20
 */

@ApiModel("UserAutoVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserAutoVo implements Serializable {

    private static final long serialVersionUID = -8767805224176648753L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键", example = "1")
    Long id;

    @ApiModelProperty(value = "真实姓名", example = "超级用户")
    String realName;
}
