/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.web.dept;

import com.yiring.auth.param.dept.DepartmentAddParam;
import com.yiring.auth.service.dept.DepartmentService;
import com.yiring.common.core.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import javax.validation.Valid;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 部门信息控制器
 * @author LJ-2204
 * @date 2022/4/19
 */

@Slf4j
@Validated
@Api(tags = "部门信息")
@RestController
@RequestMapping("/dept/")
public class DepartmentController {

    @Resource
    DepartmentService departmentService;

    @ApiOperation("新增部门")
    @PostMapping("addDepartment")
    public Result<String> addDepartment(@Valid DepartmentAddParam param) {
        return departmentService.addDepartment(param);
    }
}
